> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-api-common-tasks-cookbook.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Inference Top Agents

> Lists agents ranked by inference request count for this Edge in the requested time window.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/apps/{app_id}/edges/{id}/inference/top-agents
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/edges/{id}/inference/top-agents:
    get:
      tags:
        - Edge
      summary: List Inference Top Agents
      description: >-
        Lists agents ranked by inference request count for this Edge in the
        requested time window.
      operationId: c1.api.edge.v1.EdgeService.ListInferenceTopAgents
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The appId field.
            type: string
        - in: path
          name: id
          required: true
          schema:
            description: The id field.
            type: string
        - in: query
          name: bucket
          schema:
            description: The bucket field.
            enum:
              - TB_TIME_BUCKET_UNSPECIFIED
              - TB_TIME_BUCKET_HOUR
              - TB_TIME_BUCKET_DAY
            type: string
            x-speakeasy-unknown-values: allow
        - in: query
          name: dimension
          schema:
            description: The dimension field.
            enum:
              - TB_USAGE_ATTRIBUTION_DIMENSION_UNSPECIFIED
              - TB_USAGE_ATTRIBUTION_DIMENSION_TEAM
              - TB_USAGE_ATTRIBUTION_DIMENSION_APPLICATION
              - TB_USAGE_ATTRIBUTION_DIMENSION_AGENT
              - TB_USAGE_ATTRIBUTION_DIMENSION_COST_CENTER
            type: string
            x-speakeasy-unknown-values: allow
        - in: query
          name: page_size
          schema:
            description: The pageSize field.
            format: int32
            type: integer
        - in: query
          name: page_token
          schema:
            description: The pageToken field.
            type: string
        - in: query
          name: since
          schema:
            description: The since field.
            format: int64
            type: string
        - in: query
          name: until
          schema:
            description: The until field.
            format: int64
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.edge.v1.EdgeServiceListInferenceTopAgentsResponse
          description: Successful response
components:
  schemas:
    c1.api.edge.v1.EdgeServiceListInferenceTopAgentsResponse:
      description: The EdgeServiceListInferenceTopAgentsResponse message.
      properties:
        agents:
          description: >-
            Ordered by call_count descending, limited to page_size. No
            pagination
             cursor -- this is a fixed top-N, not a full list.
          items:
            $ref: '#/components/schemas/c1.api.tbcontrolplane.v1.TBTopAgent'
          type:
            - array
            - 'null'
      title: Edge Service List Inference Top Agents Response
      type: object
      x-speakeasy-name-override: EdgeServiceListInferenceTopAgentsResponse
    c1.api.tbcontrolplane.v1.TBTopAgent:
      description: TBTopAgent is one source_principal group.
      properties:
        allowedCount:
          description: The allowedCount field.
          format: uint64
          type: string
        callCount:
          description: The callCount field.
          format: uint64
          type: string
        deniedCount:
          description: The deniedCount field.
          format: uint64
          type: string
        sourcePrincipal:
          description: The sourcePrincipal field.
          type: string
        sourcePrincipalKind:
          description: The sourcePrincipalKind field.
          type: string
      title: Tb Top Agent
      type: object
      x-speakeasy-name-override: TBTopAgent
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````